"use strict";exports.__esModule = true;exports.needsPolyfillPlaceholder = void 0;var _globalObject = require("@skbkontur/global-object");

var _client = require("./client");

var needsPolyfillPlaceholderInternal = function needsPolyfillPlaceholderInternal() {
  if (_globalObject.globalObject.document) {
    var supportsPlaceholder = ('placeholder' in _globalObject.globalObject.document.createElement('input'));
    if (!supportsPlaceholder || _client.isIE11) {
      return true;
    }
  }

  return false;
};

/**
 * Определяет поддерживает ли браузер аттрибут `placeholder` для тега `input`
 *
 * Равен true, если браузеру нужен полифил для placeholder. Иначе - false
 */
var needsPolyfillPlaceholder = exports.needsPolyfillPlaceholder = needsPolyfillPlaceholderInternal();